/**********************************************************************/
/*  SECTION 1: Variables construction  (from wide data)			
    Notes: */
/**********************************************************************/

/*----------------------------------------------------*/
   /* [>   1.  Desire to marry   <] */ 
/*----------------------------------------------------*/
*What are your thoughts regarding marriage?
*1. Definitely want to get married
*2. Want to get married if I have a chance 
*3. It does not matter whether I get married or not
*4. Don't want to get married
*5. Don't think about getting married 
*8. Married
rename zq56 intmar1
rename aq57 intmar2
rename bq47 intmar3
rename cq50 intmar4
rename dq50 intmar5
rename eq49 intmar6
rename fq52 intmar7
rename gq51 intmar8
rename hq52 intmar9
*recode intmar* (1/2=1)(3/5=2)(6/7=3)(8=4)(9=.)(10=4)(11/12=5)(99=.)

/*----------------------------------------------------*/
   /* [>   1.  Coresidence with parents   <] */ 
/*----------------------------------------------------*/

local parent "father mother spfather spmother"
local wavepvar "zq13_2 eq12_ fq10_2 gq13_2 hq13_2"
foreach varname in `wavepvar'{
rename `varname'h `varname'father
rename `varname'i `varname'mother
rename `varname'j `varname'spfather
rename `varname'k `varname'spmother
}

*wave 1
foreach parentvar in `parent'{
gen `parentvar'1=0
recode `parentvar'1 0=1 if zq13_2`parentvar' == 1
}
*wave2-5
forvalues i=7/10 {
forvalues j=2/5 {
gen parent`i'`j'=0
}
recode parent`i'2 0=1 if (aq11_21a == `i' | aq11_22a == `i' | aq11_23a == `i' | aq11_24a == `i' | aq11_25a == `i' | aq11_26a == `i' | aq11_27a == `i' | aq11_28a == `i' )
recode parent`i'3 0=1 if (bq13_2bz == `i' | bq13_2cz == `i' | bq13_2dz == `i' | bq13_2ez == `i' | bq13_2fz == `i' | bq13_2gz == `i' | bq13_2hz == `i' | bq13_2iz == `i'  )
recode parent`i'4 0=1 if (cq17bz == `i' | cq17cz == `i' | cq17dz == `i' | cq17ez == `i' | cq17fz == `i' | cq17gz == `i' | cq17hz == `i' | cq17iz == `i' ) 
recode parent`i'5 0=1 if (dq10_22z == `i' | dq10_23z == `i' | dq10_24z == `i' | dq10_25z == `i' | dq10_26z == `i' | dq10_27z == `i' | dq10_28z == `i' | dq10_29z == `i' | dq10_210z == `i')
}
rename parent7* father*
rename parent8* mother*
rename parent9* spfather*
rename parent10* spmother*
*wave 6,7,8,9
foreach parentvar in `parent'{
forvalues i=6/9 {
gen `parentvar'`i'=0
}
recode `parentvar'6 0=1 if eq12_`parentvar' == 1
recode `parentvar'7 0=1 if fq10_2`parentvar' == 1
recode `parentvar'8 0=1 if gq13_2`parentvar' == 1
recode `parentvar'9 0=1 if hq13_2`parentvar' == 1
}

/*----------------------------------------------------*/
   /* [>   2.  Employment status   <] */ 
/*----------------------------------------------------*/

/*1"経営者、役員"2"正社員"3"パート、契約、臨時、嘱託"4"派遣"5"請負"6"自営"7"家族従業"8"内職"10"無職（学生除）"11"学生（働いていない）"12"学生（現在非正規で働いている）"*/
/*recode 1"正規雇用"2"非正規雇用"3"自営、家族従業"4"内職/無職"5"学生"*/
rename jc_1 type1
rename aq03_1 type2
rename bq03_1 type3
rename cq03_1 type4
rename dq03_1 type5
rename eq03_1 type6
rename fq03_1 type7
rename gq03_1 type8
rename hq03_1 type9
recode type* (1/2=1)(3/5=2)(6/7=3)(8=4)(9=.)(10=4)(11/12=5)(99=.)

/*----------------------------------------------------*/
   /* [>   3.  Educational attainment   <] */ 
/*----------------------------------------------------*/
/* [> Respondent <] */ 
*zq23a 1"Middle school "2"High school"3"Technical schools (vocational college)"
*4" Two-year college"5"Four-year university"6"Graduate school"*/
/*1"Junior high/high school"2"2 year colleges(Technical college Junior college)3"University+"."NA/DK"*/
gen redu = zq23a
recode redu (1/2=1)(3=2)(4=2)(5/6=3)(7=.)(9=.)

/*----------------------------------------------------*/
   /* [>   4.  marital status   <] */ 
/*----------------------------------------------------*/

/*----------------------------------------------------*/
   /* [>   4.1 Marital status   <] */ 
/*----------------------------------------------------*/
* 1"Unmarried"2"Married"3"Widowed"4"Divorced"（wave1）
* 1"Married"2"Unmarried"3"Widowed"4"Divorced"（wave2-6）
* Change w1 values to w2-6
rename zq50 marstat1
recode marstat1 (1=2)(2=1)(3=3)(4=4)
rename aq52 marstat2
rename bq42 marstat3
rename cq45 marstat4
rename dq43 marstat5
rename eq41 marstat6
rename fq44 marstat7
rename gq43 marstat8
rename hq44 marstat9
gen marstatw1=marstat1

/*----------------------------------------------------*/
   /* [>   4.2  Age and year of marriage  <] */ 
/*----------------------------------------------------*/

gen marage = zq51
recode marage 88/99=.

recode zq51y bq46_1by cq49_1by dq49_1by eq48_1by fq51_1by gq50_1by	hq51_1by (888=.)(999=.)

gen mardate=.
replace mardate=1900+zq51y if zq51a==1 & zq51y > 80
replace mardate=2000+zq51y if zq51a==1 & zq51y < 15
replace mardate=1925+zq51y if zq51a==2
replace mardate=1988+zq51y if zq51a==3 
replace mardate = ybirth+marage if marage ~=.

/*----------------------------------------------------*/
   /* [>   5. City size  <] */ 
/*----------------------------------------------------*/

rename size   citysize1
rename aqsize citysize2
rename bqsize citysize3
rename cqsize citysize4
rename dqsize citysize5
rename eqsize citysize6
rename fqsize citysize7
rename gqsize citysize8
rename hqsize citysize9

/*------------------------------------ End of SECTION 1 ------------------------------------*/

/**********************************************************************/
/*  SECTION 2: reshape data  			
    Notes: */
/**********************************************************************/
rename panelid id 
keep id sex marage mardate intmar1 intmar2 intmar3 intmar4 intmar5 intmar6 intmar7 intmar8 intmar9 /*
*/ type1 type2 type3 type4 type5 type6 type7 type8 type9 /*
*/ ybirth mbirth redu marstat1 marstat2 marstat3 marstat4 marstat5 marstat6 marstat7 marstat8 marstat9 marstatw1  /*
*/ father1 spfather1 father2 father3 father4 father5  /*
*/ spfather2 spfather3 spfather4 spfather5 father6 father7 spfather6 spfather7 father8 spfather8 father9 spfather9 mother1 spmother1 mother2 mother3  /*
*/ mother4 mother5 spmother2 spmother3 spmother4 spmother5 mother6 mother7 spmother6 spmother7 mother8 spmother8 mother9 spmother9 /*
*/ citysize1 citysize2 citysize3 citysize4 citysize5 citysize6 citysize7 citysize8 citysize9

reshape long marstat intmar type father mother spfather spmother citysize,   i(id) j(wave)

/*------------------------------------ End of SECTION 2 ------------------------------------*/

*log close
