/*/Users/fumiyau/Box Sync/Desktop/UW-Madison-Documents/0.JR-RAWork/5.RethinkingRetreatFromMarriage/2.DataEdit.do*/


/**********************************************************************/
/*  SECTION 0: Variable construction (from long data)  			
    Notes: */
/**********************************************************************/
 
/*----------------------------------------------------*/
   /* [>   1.  Age   <] */ 
/*----------------------------------------------------*/
gen age = .
replace age = 2007 + wave - 1 - ybirth if mbirth <= 3 & mbirth >= 1
replace age = 2007 + wave - 2 - ybirth if mbirth <= 12 & mbirth >= 4

/*----------------------------------------------------*/
   /* [>   2.  school enrollment   <] */ 
/*----------------------------------------------------*/
*School enrollment
gen school=type
recode school (1/4=0)(5=1)
recode type 5=4

/*----------------------------------------------------*/
   /* [>   3.  Other recoding   <] */ 
/*----------------------------------------------------*/
/* [> create female dummy <] */ 
recode sex 1=0 2=1,gen(female)
/* [> create t-1 variables <] */ 
sort id wave
by id: gen typex=type[_n-1]
by id: gen typexx=type[_n-2]
by id: gen schoolx=school[_n-1]
by id: gen motherx=mother[_n-1]
by id: gen fatherx=father[_n-1]

*Coresidence with parents
gen coresx = 0
recode coresx 0=1 if motherx==1 | fatherx ==1
gen cores = 0
recode cores 0=1 if mother==1 | father ==1
by id: gen coresxx=coresx[_n-1]

/*------------------------------------ End of SECTION 0 ------------------------------------*/

/**********************************************************************/
/*  SECTION 1: Variables editing to get analytical sample			
    Notes: */
/**********************************************************************/

/*----------------------------------------------------*/
   /* [>   1.  Marital status (marstat)   <] */ 
/*----------------------------------------------------*/
*Omitting formerly married population
*respondents are divorced or widowed if marstat is 3/4
drop if marstat == 3 | marstat == 4
*also drop missing case
drop if marstat == 9

/*----------------------------------------------------*/
   /* [>   2.  Intention to marry (intmar)   <] */ 
/*----------------------------------------------------*/
*drop DK and missing case
recode intmar 9=. 
*drop if intmar == 9
*drop if intmar == .
recode intmar (.=7)
*Omit logically impossible case
**married respondents who answered intention
drop if marstat==1 & intmar ~=8
**never-married respondents who are N/A in marital status
drop if marstat==2 & intmar ==8
*29,929 person years remained


/**********************************************************************/
/*  SECTION 2: Recording variables			
    Notes: */
/**********************************************************************/
/*----------------------------------------------------*/
   /* [>   1.  Intention to marry (intmar)   <] */ 
/*----------------------------------------------------*/
*intmar: 
**(1) I definitely want to marry
**(2) if possible I would like to marry
**(3) I am okay with marriage or no marriage
**(4) I do not want to marry
**(5) I never thought about the issue of marriage

/*----------------------------------------------------*/
   /* [>   2.  Age category   <] */ 
/*----------------------------------------------------*/
gen agecat=age
recode agecat 20/24=1 25/29=2 30/34=3 35/41=4

/*----------------------------------------------------*/
   /* [>   5.  City category   <] */ 
/*----------------------------------------------------*/
*City size (large city means >200,000 residents)
recode citysize 1=1 2=2 else=3
by id: gen citysizex=citysize[_n-1]
by id: gen citysizexx=citysize[_n-1]

**********************************************************************
* Change order
**********************************************************************
recode intmar 4=5 5=4

**********************************************************************
* Create analysis sample 
**********************************************************************
*Restrict samples to non-married at wave 1
keep if marstatw1 == 2 

*Omit missing cases
recode intmar 7=.
mark nomiss
local variables "intmar age redu type cores citysize"
markout nomiss `variables'
drop if nomiss == 0
