#=====================================================================
# Last update: 2020/10/23
# Marriage intentions, desires, and pathways to later and less marriage in Japan
# James M. Raymo
# Fumiya Uchikoshi, uchikoshi@princeton.edu (responsible for this code)
# Shohei Yoda
#=====================================================================

########################
##### Load package #####
########################
library(ggalluvial)
library(ggplot2) 
library(labelled) 
library(tidyverse) 
library(scales)
library(alluvial)
library(ggthemes)
setwd("Replication_DR/")

#################
###### Men ######
#################
data <- read.csv("Results/Trajectory/intmarLong_w1-9.csv",header=TRUE) %>% 
  filter(sex == 1) 

ggplot(data,
       aes(x = wave, stratum = intmar, alluvium = id,
           fill = intmar,label = intmar)) +
  geom_flow(aes(fill=intmar_w1))  +   
  scale_x_continuous(breaks = seq(1, 9, 1))+
  geom_stratum(alpha = .8)+theme_few()  + 
  theme(legend.position = "bottom",legend.title=element_blank()) +
  labs(x="Wave",y="Count") +scale_fill_manual(values=c("#E8E8E8","#004949", "#cd5b00","#E69F00", "#F0E442", "#920000"))
ggsave(height=6,width=9,dpi=200, filename="Results/Figures/Fig_men_w1-9.pdf",  family = "Helvetica")

#################
##### Women #####
#################
data <- read.csv("Results/intmarLong_w1-9.csv",header=TRUE) %>% 
  filter(sex == 2)
ggplot(data,
       aes(x = wave, stratum = intmar, alluvium = id,
           fill = intmar,label = intmar)) +
  geom_flow(aes(fill=intmar_w1))  +   
  scale_x_continuous(breaks = seq(1, 9, 1))+
  geom_stratum(alpha = .8)+theme_few()  + 
  theme(legend.position = "bottom",legend.title=element_blank()) +
  labs(x="Wave",y="Count") +scale_fill_manual(values=c("#E8E8E8","#004949", "#cd5b00","#E69F00", "#F0E442", "#920000"))
ggsave(height=6,width=9,dpi=200, filename="Results/Figures/Fig_women_w1-9.pdf",  family = "Helvetica")